Bank Kalteng (Phase 2) - Bug #1352

[HR Assessment] Data tidak ke save ke DB, sehingga tidak tampil di HR
07/12/2022 05:23 PM - Mega Yunita

Status: Closed Start date: 07/12/2022
Priority: Urgent Due date: 07/13/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

Dear Mbak Yoma,

Mohon bantuannya untuk memperbaiki masalah yang terjadi, yaitu :

1. Data yang telah diinput, kemudian di Save to Profile berhasil, tetapi saat dicek di DB data tersebut tidak tersimpan ke DB
PHRPA0045

2. Data berhasil di save ke HR, tetapi ketika dibuka lagi data tersebut hanya tampil Data Header saja, data Qualification yang telah
diisi tidak tampil.

Port : http:/103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : Home > HR > HR Strategic > Talent Management > Assessment

Semoga dapat dimengerti
History

#1 - 07/12/2022 05:26 PM - Mega Yunita

- Description updated

#2 - 07/20/2022 10:28 AM - Tri Rizqgiaty
- File clipboard-202207201027-7scqr.png added
- File clipboard-202207201027-3sfhq.png added

- Status changed from Assigned to Developing
Fixing :

1. Udpate UNapp\controller\performance : Assessment.js (file terlampir)
2. Update table PHRPA8002 sesuai gambar dibawah :
Celumn Alias Table Outp... Sort Type Sort Order Filter Or.. Or.. Or.. &
Prec SDATATAB...
Scale SDATATAB...
TableRef SDATATAB...
4 FixedValue SDATATAB...
SearchFunction SDATATAB...
SearchType SDATATAB..
IsPrimaryKey SDATATAB..
Isldentity SDATATAB...
Allowhull SDATATAB... Rubah dari TargetProficiency menjadi Proficiency
SelectFunction SDATATAB...
IsindexKey SDATATAE...
IsDescindexkKey SDATATAB... 1 v
TableMame FieldMame SeqMum DataRef DataTvp//enqth Prec Scale TableRef FixedValue SearchFunction ~ SearchType lsfy
PHRPAZD02 QualificationGrouplD 6 QUALGRUP 8 0 o PHROMODO1 NULL QG-06-Q o 0
PHRPAZ002 Qualification|D 7 QUALID 18 0 o PHROMODO1 NULL 0G-0G-0 o 0
PHRPAS002 QualificationLevel 15 0 0 0 o MULL 0
PHRPAS002 Score 3 20 0 2 MULL 0
PHRPAS002 Sequence 2 " 0 o MULL 1
PHRPAS0DZ SequenceSub 2 n 0 0 1
PHRPAZ002 StartDate SDATE 0 8 0 0 MNULL 1
» PHRPAZ002 Proficiency 10 QUALPROF 0 50 0 0 MNULL 0
PHRPAZ002 Weight 9 QUALWEIGHT 3 20 0 2 MNULL 0
. NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL Ni
v

3. Update design table PHRPA8001 sesuai gambar dibawah :

Object Explorer

Allow Nulls 2

Connect~ ¥ ¥ ¢ » Column Name Data Type

5 F dbo.PHRPADDG2 ~ | ® StartDate varchar(g) O

7 EH dbo.PHRPAODGY @ EndDate varchar(g) O

|+ FE dbo.PHRPADDSS % EmployeelD varchar(18) O

+ EH dbo.PHRPADI2S

4 B dboPHRPATONE ¥ Sequence int a

5 A dbo.PHRPA1919 Job varchar(18)

= FH dbo.PHRPABDDT AssessmentDate varchar(8) rubah dr (4,2) d (18,2)

E Columns FormType varchar(4) ) )

ro StartDate (PK, varchar(8), not null)
o EndDate (PK, varchar(8), not null) TalentAction varchard)
ro EmployeelD (PK, varchar(18), not null] TalentActionDescription

w0 Sequence (PK, int, not null)

b TotalScore

B Job {varchar(18), null)
H AssessmentDate (varchar(g), null)
E FormType (varchar(4), null)

PotentialCategory

PotentialScore

varchar{30}

decimal(18, 2)

10 EE

B TalentAction (varchar(4), null) Notes varchar(500)
B TalentActionDescription (varchar(50), PV Laei100 v
B TotalScore (decimal(4,2), null) :
E PotentialCategory (varchar{300), null) Column Properties
B PotentialScore (decimal{18,2), null) =
B Motes (varchar(500), null)
B CrestedBy [varchar(18), null) v (General) A
B CreatedDate (varchar(14), null} (Name) TotalScore
B ChangeBy (varchar{18), null) Allow Nulls Yes
B ChangeDate (varchar(14), null} Data Type decimal
Keys Default Value or Binding
Constraints Precision 18 v
Triggers (General)
Indexes
Statistics v

#3 - 07/20/2022 10:28 AM - Tri Rizqiaty

- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Mega Yunita

#4 - 07/25/2022 02:37 PM - Mega Yunita
- Status changed from QA Test to Closed

Files

clipboard-202207121722-jjvsk.png 155 KB 07/12/2022 Mega Yunita

clipboard-202207121722-rb8au.png 126 KB 07/12/2022 Mega Yunita

clipboard-202207121722-ce8ov.png 133 KB 07/12/2022 Mega Yunita

clipboard-202207201027-7scqr.png 86 KB 07/20/2022 Tri Rizqiaty

clipboard-202207201027-3sfhqg.png 95.9 KB 07/20/2022 Tri Rizqiaty
